Author Topic: Virtuemart 2.6.0 installation problem  (Read 10695 times)

rouben

  • Beginner
  • *
  • Posts: 8
Virtuemart 2.6.0 installation problem
« on: April 08, 2014, 17:50:19 pm »
Hello. I have Virtuemart 2.0.26d installed and it is working without bugs. Today there was a message about new version, when I was trying to update to a new version 2.6.0 I have white page on my screen. I have tried several ways but have not succeced with installation. I have updated VirtueMart before to other versions and never had such a problem . Joomla! 2.5.19 . Trying to install with Joomla extension manager.

 Sorry for my poor english.

P.S.
Here is php.ini

php]
;disable_functions=popen,exec,system,passthru,proc_open,shell_exec,ini_restore,dl,symlink,chgrp,putenv,getmyuid,fsockopen,posix_setuid,posix_setsid,posix_setpgid,posix_kill,apache_child_terminate,chmod,chdir,pcntl_exec,phpinfo,virtual,proc_close,proc_get_status,proc_terminate,proc_nice,getmygid,proc_getstatus,proc_close,escapeshellarg,show_source,pclose,safe_dir,dl,ini_restore,chown,chgrp,shown_source,mysql_list_dbs,get_current_user,getmyid,leak,pfsockopen,get_current_user,ftp_exec,syslog,phpcredits
disable_functions=
;display_errors=off
mail.add_x_header=On
;allow_url_fopen=0
realpath_cache_size=4096k
max_input_vars=10000
;error_reporting=2048
display_errors=1
session.save_path= -----------------
magic_quotes_gpc=0
default_socket_timeout=120
date.timezone=Europe/Moscow
register_globals=0
max_input_time=60
max_execution_time=180
safe_mode=0
allow_url_include=0
file_uploads=1
mbstring.internal_encoding=UTF-8
memory_limit=704M
post_max_size=128M
upload_max_filesize=128M
extension_dir="/opt/php/lib/php/extensions/"
extension=curl.so
extension=dom.so
extension=gd.so
extension=iconv.so
extension=mysql.so
extension=mysqli.so
extension=sockets.so
extension=mbstring.so
extension=zlib.so
extension=ctype.so
extension=json.so
extension=session.so
extension=simplexml.so
extension=xml.so
extension=apc.so

mysql.default_host=-------------------
mysql.default_port=-------------------

apc.shm_size=64M
apc.ttl=900
apc.max_file_size=4M
apc.filters="-/bitrix/cache/,-/bitrix/managed_cache/,-/bitrix/stack_cache/,-/bitrix/local_cache/,-/upload/"

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27386
  • Always on vacation
    • Jenkin Hill Internet
Re: Virtuemart 2.6.0 installation problem
« Reply #1 on: April 08, 2014, 18:09:01 pm »
Are you using Joomla 2.5.19? Did you update using Joomla's extensions installer (the recommended way)?
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.4.3.10057 on Joomla 3.9.6 PHP 7.0.33
Testing VM 3.4.5.10059 on Joomla 3.9.6

rouben

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart 2.6.0 installation problem
« Reply #2 on: April 08, 2014, 18:20:23 pm »
Hello, sorry but what it means  (the recommended way)? I `m uploading the archived file and  pressing the install button. After it is uploading and when it is already uploaded after a few second there is a white page. After it when I am entering to admin panel then to virtuemart there is no changes as if , it dosn`t even updated. But product or categories are not aviable , when trying to acces them there is a white page again in admin panel.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27386
  • Always on vacation
    • Jenkin Hill Internet
Re: Virtuemart 2.6.0 installation problem
« Reply #3 on: April 08, 2014, 18:32:41 pm »
Make sure to use com_virtuemart.2.6.0_extract_first.zip    The full Joomla+VirtueMart package is only for first time installers.

Did you not first extract the two archive component files?  Basic instructions: http://forum.virtuemart.net/index.php?topic=99127
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.4.3.10057 on Joomla 3.9.6 PHP 7.0.33
Testing VM 3.4.5.10059 on Joomla 3.9.6

rouben

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart 2.6.0 installation problem
« Reply #4 on: April 08, 2014, 18:41:26 pm »
First I am tring to install the core then the AIO. I have downloaded com_virtuemart.2.6.0_extract_first.zip  and extracted it. The result is the white blank page.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27386
  • Always on vacation
    • Jenkin Hill Internet
Re: Virtuemart 2.6.0 installation problem
« Reply #5 on: April 08, 2014, 19:00:33 pm »
Have a look at the server error log. http://forum.virtuemart.net/index.php?topic=117042.0
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.4.3.10057 on Joomla 3.9.6 PHP 7.0.33
Testing VM 3.4.5.10059 on Joomla 3.9.6

rouben

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart 2.6.0 installation problem
« Reply #6 on: April 08, 2014, 19:26:21 pm »
There are no errors in server error log file.

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9832
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Virtuemart 2.6.0 installation problem
« Reply #7 on: April 08, 2014, 20:06:56 pm »
then lets try this:

Go in /administrator/components/com_virtuemart/helpers/config.php to the line 507 and decomment this line
Code: [Select]
//$debug = 'all';
That means remove the //. Then you should see some errors instead of a whitescreen. If you do not find this lines there, then the installation was not correctly done by joomla.

Another general idea is that you use an old php. The new minimum requirement is actualyl php5.3.10. We thought we wrote it BC, but we strongly recommened to use at least php5.3.10 (which imho already EOL also).
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

rouben

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart 2.6.0 installation problem
« Reply #8 on: April 08, 2014, 20:57:51 pm »
/administrator/components/com_virtuemart/helpers/config.php ine the line 507 there is a  "public static $echoDebug = FALSE"

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9832
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Virtuemart 2.6.0 installation problem
« Reply #9 on: April 08, 2014, 21:41:16 pm »
damn, sorry, I meant line 549
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

rouben

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart 2.6.0 installation problem
« Reply #10 on: April 09, 2014, 00:28:59 am »
Fatal error: Class 'vmRequest' not found in /docs/plugins/vmcustom/specification/specification.php on line 98

Fatal error: Access to undeclared static property: JLoader::$classes in docs/libraries/loader.php on line 195

Here are the errors

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9832
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Virtuemart 2.6.0 installation problem
« Reply #11 on: April 09, 2014, 11:40:14 am »
ahh, so you did not update the specification plugin. Either you did not install the AIO, or there is some error in the installer. I just checked, the file is updated
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

rouben

  • Beginner
  • *
  • Posts: 8
Re: Virtuemart 2.6.0 installation problem
« Reply #12 on: April 09, 2014, 13:17:38 pm »
http://docs.virtuemart.net/tutorials/30-installation-migration-upgrade-vm-2/80-installation-of-virtuemart-2Install
I am installing like in the instruciton. Please advice me , how to fix this bug ?

Milbo

  • Virtuemart Projectleader
  • Administrator
  • Super Hero
  • *
  • Posts: 9832
  • VM3.2 Cached and Optimized
    • VM3 Extensions
  • VirtueMart Version: VirtueMart 3 on joomla 3
Re: Virtuemart 2.6.0 installation problem
« Reply #13 on: April 09, 2014, 21:05:15 pm »
Another general idea is that you use an old php. The new minimum requirement is actualyl php5.3.10. We thought we wrote it BC, but we strongly recommened to use at least php5.3.10 (which imho already EOL also).

??
I should fix your bug, please support the VirtueMart project and become a member
______________________________________
Extensions approved by the core team: http://extensions.virtuemart.net/

tlewap

  • Beginner
  • *
  • Posts: 1
Re: Virtuemart 2.6.0 installation problem
« Reply #14 on: April 10, 2014, 13:36:28 pm »
Same problem here ;(
My php version is 5.3.23